Subject: Re: linux-next: Tree for July 30

From: Dmitry Torokhov <[email-masked]>
Date: Thu, 7 Aug 2008 15:06:10 -0400

On Thu, Aug 07, 2008 at 11:50:31AM -0700, Andrew Morton wrote:
> On Thu, 7 Aug 2008 14:11:09 -0400
> Dmitry Torokhov <[email-masked]> wrote:
> 
> > On Thu, Jul 31, 2008 at 01:10:56PM -0700, Andrew Morton wrote:
> > > 
> > > If that works then great.  But I think the printk could be improved. 
> > > Please provide sufficient information so that users (not programmers)
> > > can go off and fix things up without needing to email kernel developers.
> > > 
> > > One suitable approach would be
> > > 
> > > 	printk("see http://userweb.kernel.org/~dtor/read-this.txt")
> > > 
> > 
> > Ok, I made a small page here:
> > 
> > 	http://userweb.kernel.org/~dtor/eviocgbit-bug.html
> 
> You need to mv that file.  It's actually at
> http://userweb.kernel.org/~dtor/eviogcbit-bug.html
> 
> And
> 
>      evdev.c(EVIOCGBIT): Suspicious buffer size 511, limiting output to 64
>      bytes. See http://userweb.kernel.org/~dtor/eviocgbit-bug.html 
> 
> will get a 404.
> 

Fixed.

> typo: s/distribbution/distribution/
> 

Fixed.

> The text looks good.  A user would come away wondering which packages
> need to be updated.  Do we have a suitable text pattern whcih will help
> them?
> 
> On a fedora system I have
> 
> y:/home/akpm> rpm -qa|grep -i syna
> synaptics-0.14.6-2.fc8
> 
> So "the synaptics package" would be a suitably distro-neutral description.
> 

There is apparently Synaptic package manager - quite similar name - so
I want to emphasize that we are concerned with a driver for X.

> `rpm -qa|grep -i tslib' comes up blank so I don't know about that one.

This is a touchscreen library that is used by embedded people.
Unfortunately I have no idea where the authoritative source is.

> 
> > If you think this is sufficient I'd like to put the patch with the
> > warning in 2.6.27 so people and distributions could start updarting
> > affected programs.
> 
> Sure.  It'd make sense to get that warning into 2.6.25.x and 2.6.26.x
> as well, to accelerate the process a bit.
> 

Ok, good.

-- 
Dmitry